<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 11.12.2018
 * Time: 22:42
 */

use Nette\Application\UI;
use Nette\Security\User;

class CommentForm extends UI\Control
{
    private $database;
    private $post_id;

    /** @var \Nette\Security\User */
    private $user;

    public function __construct(Nette\Database\Context $database, User $user)
    {
        parent::__construct();
        $this->database = $database;
        $this->user = $user;
    }

    public function setId($post_id)
    {
        $this->post_id = $post_id;
    }

    public function create()
    {
        $form = new UI\Form;
        $form->addText('text', 'Text:')
            ->setRequired();
        $form->addHidden('post_id')->setValue($this->post_id);
        $form->addHidden('user_id')->setValue($this->user->getId());

        $form->addSubmit('send', 'Send');
        $form->onSuccess[] = [$this, 'processForm'];

        return $form;
    }

    public function processForm($form)
    {
        $values = $form->values;
        $this->database->table('comments')->insert($values);
    }
}